; Game Gear routines

    GLOBAL ClearVRAM
; Clears out VRAM.
; Load HL with the start of VRAM to clear.
; Load BC with the bytes to clear

    GLOBAL TransferBkgPalette
; Transfers Background Palette
; Load A with the index to start at
; Load HL with address of the palette
; Load B  with the bytes to transfer

    GLOBAL TransferSprPalette
; Transfers Sprite Palette
; Load A with the index to start at
; Load HL with address of the palette
; Load B  with the bytes to transfer

    GLOBAL TransferCharData
; Transfers CharData to VRAM
; Load DE with the VRAM address
; Load HL with address of the char data
; Load BC with the bytes to transfer

    GLOBAL ScreenOnVB
; Turn Screen on with Vertical Blanking interrupts
; No input

    GLOBAL ScreenOn
; Turn Screen on
; Load A with value for 0xff41

    GLOBAL ScreenOff
; Turn Screen off
; Load A with value for 0xff41

    GLOBAL SetSpriteList
; Set sprite x, y, and charcter from a memory list
; Load HL with location of the list.
; Load A with number of sprites in the list.

    GLOBAL SetSprite
; Set sprite x, y, and charcter
; Load A with the sprite number.
; Load B with the x position.
; Load C with the y position.
; Load D with the character number.

    GLOBAL SetSpriteX
; Set sprite x
; Load A with the sprite number.
; Load B with the x position.

    GLOBAL SetSpriteY
; Set sprite y
; Load A with the sprite number.
; Load B with the y position.

    GLOBAL SetSpriteChar
; Set sprite character
; Load A with the sprite number.
; Load B with the character number.

    GLOBAL SetSpritePal
; Set sprite palette
; Load A with the sprite number.
; Load B with the palette number.

    GLOBAL SetDoubleSpeedMode
; Sets GBC to double speed mode
; No parameters

    GLOBAL Update
; Causes the sprite table to be transferred
; No input

    GLOBAL VertBlank
; Internal Vertical Blank routine

